Name:		grub2-theme-ufficiozero
Version:	2.06
Release:	%mkrel 8
Epoch: 7
Summary:	Boot-loader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+ and GPLv2
URL:		http://ufficiozero.org
Source0:	grub2-theme-ufficiozero-%{version}.tar.xz
Requires:	grub2bootloader
BuildArch:	noarch
#Obsoletes:	grub2-theme-pclinuxos
#Provides:	grub2-theme-pclinuxos

%description
This package provides a custom UfficioZero graphical theme for grub2.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%prep
%setup -q

%build
#no build


%install
rm -rf %buildroot

# Theme
install -d %{buildroot}/boot/grub2/themes/ufficiozero
cp -r * %{buildroot}/boot/grub2/themes/

# Font

%post
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/ufficiozero/theme.txt" >> %{_sysconfdir}/default/grub
fi

%postun
exec > /var/log/grub2_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/ufficiozero\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files
%defattr(-,root,root,-)
%dir /boot/grub2/themes/ufficiozero
/boot/grub2/themes/ufficiozero


%changelog
* Sat Dec 21 2024 adrianomorselli <dev@ufficiozero.org> 2.03-8ufficiozero2025
- new theme for lorena iso

* Mon Feb 19 2024 adrianomorselli <dev@ufficiozero.org> 2.06-7ufficiozero2024
- sync to UZL11

* Mon Apr 24 2023 adrianomorelli <dev@ufficiozero.org> 2.06-6ufficiozero2023
- rebuild for updates

* Thu Jun 30 2022 adrianomorselli <dev@ufficoozero.org> 2.06-5ufficiozero2022
- change hex coloro to black

* Sat May 14 2022 adrianomorselli <dev@ufficiozero.org> 2.06-4ufficiozero2022
- new grub theme for Cagliari

* Fri Oct 15 2021 adrianomorselli <dev@ufficiozero.org> 2.06-3
- mylivecd wants both grub2-theme
 
* Thu Oct 07 2021 adrianomorselli <dev@ufficiozero.org> 2.06-2.1
- reintroduced pclos grub-theme for mylivecd
- changed grub wallpaper

* Wed Oct 06 2021 adrianomorselli <dev@ufficiozero.org>
- drop S1(unicode.pf2) as is provided by grub2 package
